touchscreen that worked in artful with 4.12 no longer works with 4.13

Bug #1745342 reported by John Lenton on 2018-01-25
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Joseph Salisbury
Artful
High
Joseph Salisbury
Bionic
High
Joseph Salisbury

Bug Description

I have a Dell Venue 11 Pro 7139, and when I installed artful on it (before release) it worked fine. Recently (over the xmas break I think but I'm not sure; this is not a machine I intended to pay too much attention to) the kernel moved from 4.12 to 4.13, and the touchscreen has stopped working.

I _think_ the last kernel to work was 4.12.0-13. I haven't done any sort of bisection though.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: linux-image-4.13.0-31-generic 4.13.0-31.34
ProcVersionSignature: Ubuntu 4.13.0-31.34-generic 4.13.13
Uname: Linux 4.13.0-31-generic x86_64
ApportVersion: 2.20.7-0ubuntu3.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: john 1041 F.... pulseaudio
 /dev/snd/pcmC1D0p: john 1041 F...m pulseaudio
 /dev/snd/controlC1: john 1041 F.... pulseaudio
Date: Thu Jan 25 10:18:51 2018
InstallationDate: Installed on 2017-07-10 (198 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170709)
MachineType: Dell Inc. Venue 11 Pro 7139
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-31-generic.efi.signed root=UUID=73f0adac-318e-4295-9980-15fb36257cd5 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.13.0-31-generic N/A
 linux-backports-modules-4.13.0-31-generic N/A
 linux-firmware 1.169.2
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/15/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A16
dmi.board.name: 0Y4RMT
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA16:bd06/15/2015:svnDellInc.:pnVenue11Pro7139:pvr01:rvnDellInc.:rn0Y4RMT:rvrA00:cvnDellInc.:ct8:cvr:
dmi.product.name: Venue 11 Pro 7139
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

John Lenton (chipaca) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.15 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.15-rc9

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-da-key
John Lenton (chipaca) wrote :

$ uname -a
Linux flimsy 4.15.0-041500rc9-generic #201801212130 SMP Mon Jan 22 02:31:37 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

tags: added: kernel-bug-exists-upstream
Joseph Salisbury (jsalisbury) wrote :

We can perform a kernel bisect to identify the commit that introduced this regression. We first need to identify the last kernel version that did not have the bug and the first kernel version that did.

Can you next test v4.13-rc1:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13-rc1/

Changed in linux (Ubuntu Artful):
status: New → In Progress
Changed in linux (Ubuntu Bionic):
status: Confirmed → In Progress
Changed in linux (Ubuntu Artful):
importance: Undecided → High
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Joseph Salisbury (jsalisbury)
John Lenton (chipaca) wrote :

With

john@flimsy:~$ uname -a
Linux flimsy 4.13.0-041300rc1-generic #201707151931 SMP Sat Jul 15 23:32:39 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

the touchscreen does not work.

With

john@flimsy:~$ uname -a
Linux flimsy 4.12.14-041214-generic #201709200843 SMP Wed Sep 20 12:46:23 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12.14/

the touchscreen _does_ work.

HTH,

Joseph Salisbury (jsalisbury) wrote :

Can you test v4.12 final to see if it also does not have the bug. 4.12.14 and 4.13-rc1 are not linear, so that's why we also need to test 4.12.

If 4.12 is good, I'll start a bisect between 4.12 and 4.13-rc1, which will give us the offending commit. A bisect will require testing of 10 kernel or so.

4.12 final is available from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12/

Thanks in advance!

John Lenton (chipaca) wrote :

Linux flimsy 4.12.0-041200-generic #201707022031 SMP Mon Jul 3 00:32:52 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

works.

Joseph Salisbury (jsalisbury) wrote :

I started a kernel bisect between v4.12 final and v4.13-rc1. The kernel bisect will require testing of about 7-10 test kernels.

I built the first test kernel, up to the following commit:
e5f76a2e0e84ca2a215ecbf6feae88780d055c56

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

John Lenton (chipaca) wrote :

$ uname -a
Linux flimsy 4.12.0-041200-generic #201801261443 SMP Fri Jan 26 14:46:56 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

did _not_ work.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
1849f800fba32cd5a0b647f824f11426b85310d8

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

John Lenton (chipaca) wrote :

Sorry for the delay :-) was at the doc's.

$ uname -a
Linux flimsy 4.12.0-041200-generic #201801261650 SMP Fri Jan 26 16:51:44 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

did _not_ work.

Thanks,

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
cbcd4f08aa637b74f575268770da86a00fabde6d

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

John Lenton (chipaca) wrote :

$ uname -a
Linux flimsy 4.12.0-041200-generic #201801261837 SMP Fri Jan 26 18:39:35 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

did _not_ work.

Thank you!

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
1b044f1cfc65a7d90b209dfabd57e16d98b58c5b

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

John Lenton (chipaca) wrote :

$ uname -a
Linux flimsy 4.12.0-041200-generic #201801302050 SMP Tue Jan 30 21:06:17 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

did _not_ work.

Thank you!

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
892ad5acca0b2ddb514fae63fa4686bf726d2471

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

John Lenton (chipaca) wrote :

$ uname -a
Linux flimsy 4.12.0-041200-generic #201801302226 SMP Tue Jan 30 22:28:18 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

did _not_ work.

Thank you.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
e442cbf910c71fba5926cf757dd7f8fcce22fc5f

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

John Lenton (chipaca) wrote :

$ uname -a
Linux flimsy 4.12.0-041200rc5-generic #201801311413 SMP Wed Jan 31 14:14:46 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

did _not_ work.

Thank you.

Joseph Salisbury (jsalisbury) wrote :

Eventually one of these test kernels should work and narrow down the bisect :-)

I built the next test kernel, up to the following commit:
d86c4d8ef31b3d99c681c859cb4e936dafc2d7a4

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

John Lenton (chipaca) wrote :

At some point somebody will figure out how to do newton-raphson instead of bisect.

$ uname -a
Linux flimsy 4.12.0-041200rc5-generic #201801311623 SMP Wed Jan 31 16:25:11 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

did _not_ work.

Can't be much further now...

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
fdd050b5b3c96813ae6756ed68157d32ba31b9f2

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

John Lenton (chipaca) wrote :

$ uname -a
Linux flimsy 4.12.0-041200rc5-generic #201801311805 SMP Wed Jan 31 18:06:52 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

did _not_ work.

What's the significance of the "rc5" in this last batch? I would've thought these were prior to the known-good 4.12 final.

Joseph Salisbury (jsalisbury) wrote :

To build these kernels, I use a script called mainline-build-one, which is in the kteam-tools repository[0].

The script comes up with the name of the .deb by using the date and the git command 'git describe SHA1'. So in the case of the last commit tested:

git describe fdd050b5b3c96813ae6756ed68157d32ba31b9f2
v4.12-rc5-66-gfdd050b

If the script used '--contains' with git describe, it would report the actual kernel version that contains that commit, for example:

git describe --contains fdd050b5b3c96813ae6756ed68157d32ba31b9f2
v4.13-rc1~70^2~67^2~42

[0] git://git.launchpad.net/~canonical-kernel/+git/kteam-tools

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
a104c9f22c7d073d4ae308ca36383ce5cc4631cc

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

John Lenton (chipaca) wrote :

$ uname -a
Linux flimsy 4.12.0-041200rc5-generic #201801311949 SMP Wed Jan 31 19:50:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

did _not_ work.

Thank you.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
b040ad9cf6a169cc000a5324fcada695dfa1f4b3

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

Hide

John Lenton (chipaca) wrote :

$ uname -a
Linux flimsy 4.12.0-041200rc2-generic #201801312121 SMP Wed Jan 31 21:23:03 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

did _not_ work...

also plymouthd crashed, but that might be unrelated :-)

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
edea55abb86ff67afda96120d6254290e7a75d9e

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

I figured we would have a few 'good' kernels by now. There are only a few more steps in the bisect. Can you confirm v4.12 final was defiantly good? It is available at:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12/

John Lenton (chipaca) wrote :

I just confirmed that

$ uname -a
Linux flimsy 4.12.0-041200-generic #201707022031 SMP Mon Jul 3 00:32:52 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

works, and that

$ uname -a
Linux flimsy 4.12.0-041200rc2-generic #201801312242 SMP Wed Jan 31 22:44:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

does not work.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
03ea8ad78cfb2910862c8dfcd2a627fc04097db2

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

John Lenton (chipaca) wrote :

Happy February!

With
$ uname -a
Linux flimsy 4.12.0-041200rc2-generic #201802010156 SMP Thu Feb 1 01:58:04 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

it didn't work either.

Would it be possible to do a 4.12 final build in the same way you're doing the bisect builds? I'm starting to worry it's something in the build that changed.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
9bddeb2a5b981507cbe2d7bdb545c32f204109c7

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1745342/9bddeb2a5b981507cbe2d7bdb545c32f204109c7

I also built a 4.12 final kernel using the same build method that I'm using for the bisect. That kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1745342/4.12

John Lenton (chipaca) wrote :

With the kernel in the 4.12 directory,

~$ uname -a
Linux flimsy 4.12.0-041200-generic #201802011529 SMP Thu Feb 1 15:34:08 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

the touchscreen did not work.

Joseph Salisbury (jsalisbury) wrote :

Hmm, ok. I'm using a fit remote to artful for that build. Let me try building the kernel using Zesty or Xenial remote.

Joseph Salisbury (jsalisbury) wrote :

Can you give the following kernel a try:
http://kernel.ubuntu.com/~jsalisbury/lp1745342/4.12/zesty-remote

It's the exact same tree as the last 4.12 kernel. If it works, that probably means the bug was introduced by a config change.

John Lenton (chipaca) wrote :

The linux-headers deb seems to be truncated in that one.

Joseph Salisbury (jsalisbury) wrote :

Do you need the headers file for something? To test the kernel, you should only have to install the linux-image and linux-image-extra .debs.

John Lenton (chipaca) wrote :

Ah, ok then, I'll give it a try.

(there haven't been linux-image-extra debs in all this)

John Lenton (chipaca) wrote :

with the one from 4.12/zesty-remote,

~$ uname -a
Linux flimsy 4.12.0-041200-generic #201802011737 SMP Thu Feb 1 17:43:21 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

it works.

I get the impression this is not good news.

Joseph Salisbury (jsalisbury) wrote :

Sorry, your right. These are mainline kernels, so there is no -extra package.

So it sounds like the bug is due to a config change. I'll take a look at the git logs and see if any changes stick out.

Could you give the following two Ubuntu kernels a try:

4.12.0-14: https://launchpad.net/ubuntu/+source/linux/4.12.0-13.14/+build/13325106
4.13.0-10: https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/unstable/+build/13358561

With these kernels, you need to install both the linux-image and linux-image-extra .debs.

John Lenton (chipaca) wrote :

Linux flimsy 4.12.0-13-generic #14-Ubuntu SMP Sat Sep 2 15:52:55 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

works;

Linux flimsy 4.13.0-10-generic #11-Ubuntu SMP Sun Sep 10 23:39:40 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

does not.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing those two. That really points at a config change. Can you post the output from the following, so I can see the hardware info:

dmesg > dmesg.log
lspci -vvnn > lspci-vvnn.log

Joseph Salisbury (jsalisbury) wrote :

Nevermind comment #44. I see that is already posted to the bug. I'll see if I can see which config change could have caused this withing needing a bisect between those two versions.

Joseph Salisbury (jsalisbury) wrote :

The lspci and dmesg attached to the bug are from when the touchscreen is not working. Can you boot a kernel where the touchscreen does work and collect that info?

dmesg > dmesg-working.log
lspci -vvnn > lspci-working.log

John Lenton (chipaca) wrote :
John Lenton (chipaca) wrote :

Here you go.

Joseph Salisbury (jsalisbury) wrote :

Comparing your two dmesg logs, I can see that the touchscreen is identified in the good dmesg, but nothing in the bad one. Here's the message from the good one:
[ 3.296644] input: SYNA7500:00 06CB:3AF0 as /devices/pci0000:00/INT33C3:00/i2c-9/i2c-SYNA7500:00/0018:06CB:3AF0.0002/input/input10
[ 3.298646] hid-multitouch 0018:06CB:3AF0.0002: input,hidraw0: I2C HID v1.00 Device [SYNA7500:00 06CB:3AF0] on i2c-SYNA7500:00

I see one touchscreen specific change from 4.12.0-13 and 4.13.0-10. I disabled this option and reverted commit 78bcac7b2ae1e4f in this test kernel:

http://kernel.ubuntu.com/~jsalisbury/lp1745342

Can you give this kernel a try? If it still has the bug, we can bisect between 4.12.0-13 and 4.13.0-10 and see if we can narrow it down that way.

John Lenton (chipaca) wrote :

There seem to be two kernels there, so I tried them both: the touchscreen didn't work with either of them.

$ uname -a
Linux flimsy 4.13.0-32-generic #35~lp1745342ConfigChange SMP Fri Feb 2 22:13:41 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

and

$ uname -a
Linux flimsy 4.13.0-32-generic #35~lp1745342STMFTSdisabled SMP Fri Feb 2 20:23:08 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. I'll have to review some of the other config differences between 4.13.0-10 and 4.12.0-13.

Another thing we could test is the latest Bionic kernel to see if a config change was already made there to resolve this. That kernel is available from:

https://launchpad.net/~canonical-kernel-security-team/+archive/ubuntu/ppa2/+build/14223014

John Lenton (chipaca) wrote :

Hello again! Sorry for the delay.

With

$ uname -a
Linux flimsy 4.14.0-16-generic #19-Ubuntu SMP Mon Jan 8 17:50:31 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

no dice.

Thank you,

Joseph Salisbury (jsalisbury) wrote :

Can you give the following kernel a try:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

This kernel has CONFIG_I2C_DESIGNWARE_CORE and CONFIG_I2C_DESIGNWARE_PLATFORM set back to m instead of y.

John Lenton (chipaca) wrote :

Hello!

With

$ uname -a
Linux flimsy 4.13.0-32-generic #35~lp1745342ConfigDesignware SMP Tue Feb 6 20:11:39 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

still no luck.

Joseph Salisbury (jsalisbury) wrote :

I have one more test kernel to try:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

Can you give this kernel a try? If it still has the bug?

John Lenton (chipaca) wrote :

Hello,

I tried with

$ uname -a
Linux flimsy 4.13.0-32-generic #35~lp1745342DESIGNWAREConfigsV2 SMP Wed Feb 7 20:43:10 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

and the bug is still there.

Sorry...

Joseph Salisbury (jsalisbury) wrote :

I have another test kernel to try:
http://kernel.ubuntu.com/~jsalisbury/lp1745342

Can you give this kernel a try? If it still has the bug?

John Lenton (chipaca) wrote :

flimsy:~$ uname -a
Linux flimsy 4.13.0-32-generic #35~lp1745342ConfigHAVEGENERICRCUGUP SMP Thu Feb 8 16:13:18 UTC x86_64 x86_64 x86_64 GNU/Linux
flimsy:~$

still nope.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. Those are the config changes that stick out. Next I'll try manually bisecting through the config file to figure out which one it is. I'll have another test kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

I'm bisecting through the config files manually. I have two test kenrels, one should be good and one should be bad. The test kernels are available here:

http://kernel.ubuntu.com/~jsalisbury/lp1745342/top-half
http://kernel.ubuntu.com/~jsalisbury/lp1745342/bottom-half

What I'm doing is building a v4.13-rc1 test kernel using just the top half of the new kernel config options and using the bottom half of the config file for the other test kernel. Depending on which one shows the bug, I'll then divide the bad config file in half again.

John Lenton (chipaca) wrote :

Disappointing news I'm afraid: with the bottom half,

Linux flimsy 4.13.0-041300rc1-generic #201707151931LP1745342BottomHalfV1 SMP Fri Feb 9 21:01:09 UTC 20 x86_64 x86_64 x86_64 GNU/Linux

the touchscreen didn't work; with the top half,

Linux flimsy 4.13.0-041300rc1-generic #201707151931LP1745342TopHalfV1 SMP Fri Feb 9 21:01:04 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

the touchscreen didn't work.

Just to make sure I tried 4.12.0-13.14 again and it continues to work there.

Kai-Heng Feng (kaihengfeng) wrote :

First, kudos to Joseph, my guesswork is based on his hard work.

Here's my theory: SMO91D0 (iio sensor hub) is connected to i2c's master adapter, SYNA7500 is connected to i2c's slave adapter.

We can see that in v4.12, both of them gets detected but SMO* doesn't get probed correctly. In v4.13, the support for i2c master/slave code got merged, now SMO* device can work, but the SYNA* is missing, because it's connected to the slave adapter.

Here's the relevant code:
#if IS_ENABLED(CONFIG_I2C_DESIGNWARE_SLAVE)
extern int i2c_dw_probe_slave(struct dw_i2c_dev *dev);
#else
static inline int i2c_dw_probe_slave(struct dw_i2c_dev *dev) { return -EINVAL; }
#endif

Right now CONFIG_I2C_DESIGNWARE_SLAVE is not enabled, so let's try if enable it can make your touchscreen work again:

http://people.canonical.com/~khfeng/lp1745342-i2c-slave/

John Lenton (chipaca) wrote :

Nice hypothesis! Sadly, with
Linux flimsy 4.15.0-9-generic #10~lp1745342 SMP Mon Feb 12 16:02:41 CST 2018 x86_64 x86_64 x86_64 GNU/Linux
it didn't work, but there's chatter in dmesg about it: Attaching in case it's useful.

Kai-Heng Feng (kaihengfeng) wrote :

Well, that's quite unfortunate.

Can you attach the output of `udevadm info -e` and `dmesg` with kernel parameter `i2c_hid.dyndbg=+p`?

Also, from another bug report, the touchscreen works after resume from suspend.

John Lenton (chipaca) wrote :
John Lenton (chipaca) wrote :
John Lenton (chipaca) wrote :

I just tried suspending with the 4.15 kernel, the touchscreen does not work after resume either.

It does work after resume with the 4.12 kernel.

Joseph Salisbury (jsalisbury) wrote :

The touchscreen works for John with the upstream 4.12 final kernel found here:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12/

That kernel does not have CONFIG_I2C_SLAVE set.

Maybe one thing to try would be to boot with that kernel, confirm the touchscreen works, then capture the config options from the running kernel. That can be done with:

cat /boot/config-$(uname -r) > running-config-$(uname -r).log

Joseph Salisbury (jsalisbury) wrote :

It might also be good to capture the same output from upstream v4.13-rc1, since the touchpad does not work with that kernel. We can then do a diff of the two.

John Lenton (chipaca) wrote :

With

Linux flimsy 4.15.0-9-generic #10~lp1745342+2 SMP Tue Feb 13 01:54:54 CST 2018 x86_64 x86_64 x86_64 GNU/Linux

the touchscreen didn't work.

Kai-Heng Feng (kaihengfeng) wrote :

Yea, but is its ACPI device alive? Please attach `dmesg` and `udevadm info -e`.

According to comment #65, the SYNA7500's _STA says it's not alive:

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/INT33C3:00/SYNA7500:00
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/INT33C3:00/SYNA7500:00
E: MODALIAS=
E: SUBSYSTEM=acpi

I moved on to Fedora 27. The bug is present in Fedora 27 as well. It was
not present in Fedora 26. It's the same story with Ubuntu....through bug
was not there in 17.04 but showed up in 17.10.

So, maybe it's a Gnome bug

I'm waiting for 18.04 final release before testing Ubuntu waters again.

Thank you for your response

On Feb 13, 2018 04:35, "John Lenton" <email address hidden> wrote:

https://people.canonical.com/~john/lp1745342/4.15.0-9.10~lp1745342+2/

--
You received this bug notification because you are subscribed to a
duplicate bug report (1722677).
https://bugs.launchpad.net/bugs/1745342

Title:
  touchscreen that worked in artful with 4.12 no longer works with 4.13

Status in linux package in Ubuntu:
  In Progress
Status in linux source package in Artful:
  In Progress
Status in linux source package in Bionic:
  In Progress

Bug description:
  I have a Dell Venue 11 Pro 7139, and when I installed artful on it
  (before release) it worked fine. Recently (over the xmas break I think
  but I'm not sure; this is not a machine I intended to pay too much
  attention to) the kernel moved from 4.12 to 4.13, and the touchscreen
  has stopped working.

  I _think_ the last kernel to work was 4.12.0-13. I haven't done any
  sort of bisection though.

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: linux-image-4.13.0-31-generic 4.13.0-31.34
  ProcVersionSignature: Ubuntu 4.13.0-31.34-generic 4.13.13
  Uname: Linux 4.13.0-31-generic x86_64
  ApportVersion: 2.20.7-0ubuntu3.7
  Architecture: amd64
  AudioDevicesInUse:
   USER PID ACCESS COMMAND
   /dev/snd/controlC0: john 1041 F.... pulseaudio
   /dev/snd/pcmC1D0p: john 1041 F...m pulseaudio
   /dev/snd/controlC1: john 1041 F.... pulseaudio
  Date: Thu Jan 25 10:18:51 2018
  InstallationDate: Installed on 2017-07-10 (198 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170709)
  MachineType: Dell Inc. Venue 11 Pro 7139
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-31-generic.efi.signed
root=UUID=73f0adac-318e-4295-9980-15fb36257cd5 ro quiet splash vt.handoff=7
  RelatedPackageVersions:
   linux-restricted-modules-4.13.0-31-generic N/A
   linux-backports-modules-4.13.0-31-generic N/A
   linux-firmware 1.169.2
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 06/15/2015
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A16
  dmi.board.name: 0Y4RMT
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: dmi:bvnDellInc.:bvrA16:bd06/15/2015:svnDellInc.:
pnVenue11Pro7139:pvr01:rvnDellInc.:rn0Y4RMT:rvrA00:cvnDellInc.:ct8:cvr:
  dmi.product.name: Venue 11 Pro 7139
  dmi.product.version: 01
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1745342/+subscriptions

Kai-Heng Feng (kaihengfeng) wrote :

Actually, there's a great hint:

commit b5cc1699191829cda2dd9447210e1e801e2082c9
Author: Hans de Goede <email address hidden>
Date: Sun Jul 9 21:05:13 2017 +0200

    ACPI / x86: Add Dell Venue 11 Pro 7130 touchscreen to always_present_ids

Let's do that same for 7139.

http://people.canonical.com/~khfeng/lp1745342-3/

John Lenton (chipaca) wrote :

I'll try that in a moment.

For what it's worth I've also got a 7140, running 16.04. That one's running 4.13.0-32 just fine. If there's anything you want me to try on it, just let me know.

John Lenton (chipaca) wrote :

[ +0.000000] Linux version 4.15.0-9-generic (root@Ryzen) (gcc version 7.2.0 (Ubuntu 7.2.0-18ubuntu2)) #10~lp1745342+3 SMP Wed Feb 14 00:02:23 CST 2018

it worked!

I also suspended it, and it comes back fine from a short suspend; I'll leave it for a while to see if it also comes back ok from a longer one.

Kai-Heng Feng (kaihengfeng) wrote :

Please attach the output of `cat /sys/firmware/acpi/tables/DSDT` for both 7139 and 7140, so we can see what their _STA methods look like.

John Lenton (chipaca) wrote :
John Lenton (chipaca) wrote :

The 7139 came back from suspend ~20 minutes later just fine.

redx (redx) wrote :

I have tested the patch and the touch is detected correctly, but if I detach and then reattach the dock keyboard, the keyboard stops working until i reboot the tablet.

Thomas Bielawski (tfbielawski) wrote :

On Feb 13, 2018 14:15, "redx" <email address hidden> wrote:

> I have tested the patch and the touch is detected correctly, but if I
> detach and then reattach the dock keyboard, the keyboard stops working
> until i reboot the tablet.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1722677).
> https://bugs.launchpad.net/bugs/1745342
>
> Title:
> touchscreen that worked in artful with 4.12 no longer works with 4.13
>
> Status in linux package in Ubuntu:
> In Progress
> Status in linux source package in Artful:
> In Progress
> Status in linux source package in Bionic:
> In Progress
>
> Bug description:
> I have a Dell Venue 11 Pro 7139, and when I installed artful on it
> (before release) it worked fine. Recently (over the xmas break I think
> but I'm not sure; this is not a machine I intended to pay too much
> attention to) the kernel moved from 4.12 to 4.13, and the touchscreen
> has stopped working.
>
> I _think_ the last kernel to work was 4.12.0-13. I haven't done any
> sort of bisection though.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 17.10
> Package: linux-image-4.13.0-31-generic 4.13.0-31.34
> ProcVersionSignature: Ubuntu 4.13.0-31.34-generic 4.13.13
> Uname: Linux 4.13.0-31-generic x86_64
> ApportVersion: 2.20.7-0ubuntu3.7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: john 1041 F.... pulseaudio
> /dev/snd/pcmC1D0p: john 1041 F...m pulseaudio
> /dev/snd/controlC1: john 1041 F.... pulseaudio
> Date: Thu Jan 25 10:18:51 2018
> InstallationDate: Installed on 2017-07-10 (198 days ago)
> InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64
> (20170709)
> MachineType: Dell Inc. Venue 11 Pro 7139
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-31-generic.efi.signed
> root=UUID=73f0adac-318e-4295-9980-15fb36257cd5 ro quiet splash
> vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-4.13.0-31-generic N/A
> linux-backports-modules-4.13.0-31-generic N/A
> linux-firmware 1.169.2
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 06/15/2015
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A16
> dmi.board.name: 0Y4RMT
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias: dmi:bvnDellInc.:bvrA16:bd06/15/2015:svnDellInc.:
> pnVenue11Pro7139:pvr01:rvnDellInc.:rn0Y4RMT:rvrA00:cvnDellInc.:ct8:cvr:
> dmi.product.name: Venue 11 Pro 7139
> dmi.product.version: 01
> dmi.sys.vendor: Dell Inc.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/
> 1745342/+subscriptions
>

John Lenton (chipaca) wrote :

@redx dmesg from after re-plugging the keyboard a few times might help?

Thomas Bielawski (tfbielawski) wrote :

I apologize if you missed this, but I have moved on to Fedora 27. I'm
afraid I'm unable to help you with Ubuntu issues. The keyboard issue isn't
a problem for me anymore.

I do appreciate the hard work y'all have put into addressing the touch
screen issue, which seems to be a problem with many Gnome distributions.

On Feb 14, 2018 04:26, "John Lenton" <email address hidden> wrote:

@redx dmesg from after re-plugging the keyboard a few times might help?

--
You received this bug notification because you are subscribed to a
duplicate bug report (1722677).
https://bugs.launchpad.net/bugs/1745342

Title:
  touchscreen that worked in artful with 4.12 no longer works with 4.13

Status in linux package in Ubuntu:
  In Progress
Status in linux source package in Artful:
  In Progress
Status in linux source package in Bionic:
  In Progress

Bug description:
  I have a Dell Venue 11 Pro 7139, and when I installed artful on it
  (before release) it worked fine. Recently (over the xmas break I think
  but I'm not sure; this is not a machine I intended to pay too much
  attention to) the kernel moved from 4.12 to 4.13, and the touchscreen
  has stopped working.

  I _think_ the last kernel to work was 4.12.0-13. I haven't done any
  sort of bisection though.

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: linux-image-4.13.0-31-generic 4.13.0-31.34
  ProcVersionSignature: Ubuntu 4.13.0-31.34-generic 4.13.13
  Uname: Linux 4.13.0-31-generic x86_64
  ApportVersion: 2.20.7-0ubuntu3.7
  Architecture: amd64
  AudioDevicesInUse:
   USER PID ACCESS COMMAND
   /dev/snd/controlC0: john 1041 F.... pulseaudio
   /dev/snd/pcmC1D0p: john 1041 F...m pulseaudio
   /dev/snd/controlC1: john 1041 F.... pulseaudio
  Date: Thu Jan 25 10:18:51 2018
  InstallationDate: Installed on 2017-07-10 (198 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170709)
  MachineType: Dell Inc. Venue 11 Pro 7139
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-31-generic.efi.signed
root=UUID=73f0adac-318e-4295-9980-15fb36257cd5 ro quiet splash vt.handoff=7
  RelatedPackageVersions:
   linux-restricted-modules-4.13.0-31-generic N/A
   linux-backports-modules-4.13.0-31-generic N/A
   linux-firmware 1.169.2
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 06/15/2015
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A16
  dmi.board.name: 0Y4RMT
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: dmi:bvnDellInc.:bvrA16:bd06/15/2015:svnDellInc.:
pnVenue11Pro7139:pvr01:rvnDellInc.:rn0Y4RMT:rvrA00:cvnDellInc.:ct8:cvr:
  dmi.product.name: Venue 11 Pro 7139
  dmi.product.version: 01
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1745342/+subscriptions

Kai-Heng Feng (kaihengfeng) wrote :

So let's focus on 7139.

John, do you have the keyboard issue other users have?

redx (redx) wrote :

sorry for the delay but I'm having busy days, tonight or tomorrow I will send you the logs of dmsg. I have the 7139 model.

John Lenton (chipaca) wrote :

Kai, I don't use the 7139 with a keyboard dock. I have a keyboard dock on my 7140, and I can use it with my 7139 to test. I'll do that this evening and report back.

redx (redx) wrote :
redx (redx) wrote :

do you need other type of logs?

John Lenton (chipaca) wrote :

Yes, I can confirm that with the 4.15.0-9 kernel with which the touchscreen works, if I disconnect the keyboard dock I need to power cycle (not just reboot) the machine to get it back.

Dmesg for disconnecting and reconnecting the dock for the 4.15.0-9 and the old 4.12.0-13 (with which the touchscreen also worked, and does not lose the keyboard dock) attached.

John Lenton (chipaca) wrote :
Kai-Heng Feng (kaihengfeng) wrote :

Do you also lose the keyboard dock in v4.13?

If it's the case, then I guess there's a commit that regressed both keyboard and touchscreen.

Changed in linux (Ubuntu Artful):
status: In Progress → Incomplete
Changed in linux (Ubuntu Bionic):
status: In Progress → Incomplete

This bug was nominated against a series that is no longer supported, ie artful. The bug task representing the artful nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu Artful):
status: Incomplete → Won't Fix
To post a comment you must log in.